from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.util import XSearchable

@runtime_checkable
class XReplaceable(XSearchable, Protocol):
    def createReplaceDescriptor(self) -> XReplaceDescriptor: ...
    def replaceAll(self, xDesc: XSearchDescriptor) -> int: ...
